Last Comment Bug 1304899 - [EME] Don't download Adobe Primetime CDM by default
: [EME] Don't download Adobe Primetime CDM by default
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video: Playback (show other bugs)
: unspecified
: Unspecified Unspecified
P3 normal (vote)
: mozilla52
Assigned To: Chris Pearce (:cpearce)
:
: Anthony Jones (:kentuckyfriedtakahe, :k17e)
Mentors:
: 1313077 (view as bug list)
Depends on:
Blocks: EME
  Show dependency treegraph
 
Reported: 2016-09-22 15:30 PDT by Chris Pearce (:cpearce)
Modified: 2017-02-22 23:48 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1304899 - Don't download Adobe Primetime CDM by default. (58 bytes, text/x-review-board-request)
2016-09-22 15:34 PDT, Chris Pearce (:cpearce)
ajones: review+
Details | Review

Description User image Chris Pearce (:cpearce) 2016-09-22 15:30:56 PDT
We should disable the Primetime CDM so that it isn't downloaded and installed by default. We still want to leave it "visible", so that it will appear disabled in the addons#plugins UI, and the user will be prompted to enable it if a site is encountered which tries to use Adobe Primetime EME.
Comment 1 User image Chris Pearce (:cpearce) 2016-09-22 15:34:43 PDT Comment hidden (mozreview-request)
Comment 2 User image Anthony Jones (:kentuckyfriedtakahe, :k17e) 2016-09-25 18:40:09 PDT
Comment on attachment 8793983 [details]
Bug 1304899 - Don't download Adobe Primetime CDM by default.

https://reviewboard.mozilla.org/r/80552/#review79614
Comment 3 User image Pulsebot 2016-09-25 19:08:37 PDT
Pushed by cpearce@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/cdef8c0f10a3
Don't download Adobe Primetime CDM by default. r=kentuckyfriedtakahe
Comment 4 User image Iris Hsiao [:ihsiao] 2016-09-26 03:49:30 PDT
https://hg.mozilla.org/mozilla-central/rev/cdef8c0f10a3
Comment 5 User image Anthony Jones (:kentuckyfriedtakahe, :k17e) 2016-10-31 18:12:13 PDT
*** Bug 1313077 has been marked as a duplicate of this bug. ***
Comment 6 User image Emil Ghitta, QA [:emilghitta] 2017-02-22 06:57:43 PST
I've reproduced the issue described in comment 0 using 52.0a1 old Nightly (Build Id: 20160922030437) and verified that the issues is fixed using Firefox 52.0a1 old Nightly (Build ID:20160927030200)after the patch landed, across platforms (macOS 10.12 and Windows 10 64bit). 

However I have noticed that on Firefox 52 beta 8 ( Build ID:20170220070057) Adobe Primetime CDM is not visible in the about:plugins and about:addons pages. 

Could you please tell me if Adobe Primetime CDM is included in the Widevine Content Decryption Module provided by Google Inc?
Comment 7 User image Chris Pearce (:cpearce) 2017-02-22 10:37:40 PST
We removed Adobe Primetime from Firefox in 52. What you're seeing is expected.
Comment 8 User image Emil Ghitta, QA [:emilghitta] 2017-02-22 23:48:04 PST
Thank you Chris!
Based on my testing and comment 7 I think it’s safe to mark this as verified fixed since I already verified that the issue does not reproduce on a build after the patch landed Nightly 52.0a1(Build Id:20160927030200)even though in today's 52 beta 8 (Build Id:20170220070057) Adobe Primetime is completely removed.

Note You need to log in before you can comment on or make changes to this bug.